petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitSetType

Sets the type of fieldsplit preconditioner.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetType(PC pc,PCCompositeType type)

Collective on PC

### Input Parameter

pc -the preconditioner context
type -PC_COMPOSITE_ADDITIVE, PC_COMPOSITE_MULTIPLICATIVE (default), PC_COMPOSITE_SYMMETRIC_MULTIPLICATIVE, PC_COMPOSITE_SPECIAL, PC_COMPOSITE_SCHUR

### Options Database Key

-pc_fieldsplit_type <type: one of multiplicative, additive, symmetric_multiplicative, special, schur> -Sets fieldsplit preconditioner type

### Keywords

PC, set, type, composite preconditioner, additive, multiplicative

### See Also

PCCompositeSetType()

Level:Intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages